*******************************************************************************
* Purpose: Compute the Kleibergen-Paap rk Wald F Statistic for the IV estimation
* Data: Hornung 2014
clear all
* load data set
use hornung-data-textiles, clear
summarize

global mixlist 		ln_workers1802_all ln_looms1802_all mi_ln_input1802_all no_looms ln_popcity1802 vieh1816_schaf_ganz_veredelt_pc pop1816_prot_pc no_hugue_possible imputed_dummy

******************
* Specification IV(2)

* first stage
reg hugue_1700_pc poploss_keyser $mixlist textil_1680_dummy , robust

* second stage
ivreg2 ln_output1802_all (hugue_1700_pc=poploss_keyser) $mixlist textil_1680_dummy , robust

*  (Kleibergen-Paap rk Wald F statistic):          14.331

******************
* Specification IV(2)

* fist stage
reg hugue_1700_pc poploss_keyser_projected $mixlist textil_1680_dummy , robust

* second stage
ivreg2 ln_output1802_all (hugue_1700_pc=poploss_keyser_projected) $mixlist textil_1680_dummy , robust

* (Kleibergen-Paap rk Wald F statistic):          22.531
*******************************************************************************










*******************************************************************************
